import User from '../models/users.js';

// UPDATE USER
const updateUser = async (req, res) => {
  try {
    const { name } = req.body;
    const { id } = req.user;
    const user = await User.findOne({
      where:{
        id:id
      }
    });
    if(!user) return res.status(401).json({message:"User not found"})
    await User.update({
      name
    },{
      where:{
        id:id
      }
    })
    res.status(200).json(user);
  } catch (err) {
    res.status(400).json({ error: err.message });
  }
};

// READ ALL
const getAllUsers = async (req, res) => {
  const users = await User.findAll();
  res.json(users);
};

// READ ONE
const getUserById = async (req, res) => {
  const user = await User.findByPk(req.params.id);
  if (!user) return res.status(404).json({ error: 'User not found' });
  res.json(user);
};


// DELETE
const deleteUser = async (req, res) => {
  const user = await User.findByPk(req.params.id);
  if (!user) return res.status(404).json({ error: 'User not found' });

  await user.destroy();
  res.json({ message: 'User deleted' });
};

export default {
  updateUser,
  getAllUsers,
  getUserById,
  deleteUser,
};
