import { Router } from "express";
const router = Router();
import userController from "../controllers/user.controller.js";
import validate from "../middleware/validate.js";
import { updateUserSchema } from "../validators/user.validator.js";
import verifyToken from "../middleware/authenticate.js";


router.put(
  "/update-user",
  verifyToken,
  validate(updateUserSchema),
  userController.updateUser
);


export default router;
